/*
 * Copyright (c) 1994 Vectaport Inc., Cartoactive Systems
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */

/* Class wrapper for dlg feature class object */

#ifndef dlg_fclass_h
#define dlg_fclass_h

#include <Map/mapfclass.h>

extern "C" {
#include "projects.h"
}

class DlgCoverage;
class DlgFeature;

class DlgFeatureClass : public MapFeatureClass {
public:
    DlgFeatureClass (DlgCoverage* cov, const char* name);
    ~DlgFeatureClass ();

    DlgCoverage* coverage() const { return (DlgCoverage*)_coverage; }
    virtual void coverage(DlgCoverage* cov) { _coverage = (MapCoverage*)cov; }

    DlgFeature* feature(unsigned fnum) const;

    virtual const char* description() const;
    PJ* projection();
    void projection(PJ*);
    virtual void extent(double& x1, double& y1, double& x2, double& y2, int& utmzone);
protected:
    virtual MapFeature** make_features(int &nfeats);
    PJ* make_projection();
    void delete_features();
    char dlgdesc[40];
    PJ* proj;

};

#endif /* defined(dlg_fclass_h) */
