/*
 * Copyright (c) 1995 Cartoactive Systems
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */

#ifndef gscmd_h
#define gscmd_h

#include <Unidraw/enter-scope.h>
#include <InterViews/_enter.h>

#include <Unidraw/Commands/brushcmd.h>
#include <Unidraw/Commands/colorcmd.h>
#include <Unidraw/Commands/patcmd.h>

class GSEditor;
class ThemeChooser;

class GSBrushCmd : public BrushCmd {
public:
    GSBrushCmd(GSEditor*, PSBrush* = nil);

    virtual void Execute();
protected:
    GSEditor* gseditor;
};

class GSColorCmd : public ColorCmd {
public:
    GSColorCmd(GSEditor*, PSColor* = nil, PSColor* = nil);

    virtual void Execute();
protected:
    GSEditor* gseditor;
};

class GSPatternCmd : public PatternCmd {
public:
    GSPatternCmd(GSEditor*, PSPattern* = nil);

    virtual void Execute();
protected:
    GSEditor* gseditor;
};

class GSEditCmd : public Command {
public:
    GSEditCmd(ControlInfo*);
    GSEditCmd(Editor* = nil);

    virtual void Execute();
protected:
};

class ThemeCmd : public Command {
public:
    ThemeCmd(ControlInfo*);
    ThemeCmd(Editor* = nil);

    virtual void Execute();
protected:
};

class AddThemeCmd : public Command {
public:
    AddThemeCmd(ControlInfo*);
    AddThemeCmd(Editor* = nil);

    virtual void Execute();
protected:
};

#include <InterViews/_leave.h>

#endif
