/*
 * Copyright 1994, 1995 Vectaport Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */

#ifndef vpfviewstate_h
#define vpfviewstate_h

#include <MapUnidraw/mapviewstate.h>

class VpfFeatureClass;

class VpfViewState : public MapViewState {
public:
    VpfViewState(PJ*, double xmin =-180, double ymin =-90, double scale = 0.0001);
    VpfViewState();
    virtual ~VpfViewState();

    virtual Graphic* themegs(MapFeature*) const;
    virtual Transformer* deftrans() const;
protected:
    static Graphic* _poocean_gs;
    static Graphic* _poland_gs;
    static Graphic* _polbnd_gs;
    static Graphic* _poice_gs;
    static Graphic* _poline_gs;
    static Graphic* _pppoint_gs;
    static Graphic* _dnarea_gs;
    static Graphic* _dnline_gs;
    static Graphic* _dnpoint_gs;
    static Graphic* _dnnull_gs;
    static Graphic* _hyline_gs;
    static Graphic* _tileref_gs;
    static Graphic* _aepoint_gs;
    static Graphic* _clarea_gs;
    static Graphic* _clline_gs;
    static Graphic* _clpoint_gs;
    static Graphic* _dslake_gs;
    static Graphic* _dsland_gs;
    static Graphic* _hyarea1_gs;
    static Graphic* _hyarea2_gs;
    static Graphic* _hyarea3_gs;
    static Graphic* _hyarea4_gs;
    static Graphic* _hyarea5_gs;
    static Graphic* _hyarea6_gs;
    static Graphic* _hyarea_gs;
    static Graphic* _hypoint_gs;
    static Graphic* _hsline_gs;
    static Graphic* _hspoint_gs;
    static Graphic* _lcarea_gs;
    static Graphic* _lcpoint_gs;
    static Graphic* _ofline_gs;
    static Graphic* _ofpoint_gs;
    static Graphic* _phline_gs;
    static Graphic* _pparea_gs;
    static Graphic* _rrline_gs;
    static Graphic* _rdline_gs;
    static Graphic* _tsline_gs;
    static Graphic* _tspoint_gs;
    static Graphic* _utline_gs;
    static Graphic* _vgrange_gs;
    static Graphic* _vgforst_gs;
    static Graphic* _vgtundr_gs;
    static Graphic* _unkarea_gs;
    static Graphic* _unkline_gs;
    static Graphic* _unkpoint_gs;
    static Graphic* _text_gs;
    static Graphic* _none_gs;
};

#endif
